@import "../../../assets/styles/main.scss";

.waoClubBannerMainSection {
  background-color: #fff0ed;
  position: relative;

  .waoClubBannerSectionBottomImage {
    position: absolute;
    bottom: -4px;
    left: 0;
    z-index: 9;
  }

  &::before {
    content: "";
    position: absolute;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/waoClubBanner_Vectore.svg);
    background-position: right;
    background-size: contain;
    background-repeat: no-repeat;
    width: 100%;
    height: 108%;
    right: 0px;
    bottom: 0px;
    z-index: 1;

    @include xxl {
      width: 48%;
      height: 100%;
      right: 0px;
    }
    @include xl {
      width: 45%;
      height: 100%;
    }
  }

  .waoClubBannerMain {
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/page_banner_bg_map.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 38px 0px 150px 0px;
    position: relative;
    height: 678px;
    @include xxl {
      height: 630px;
    }
    @include xl {
      height: 555px;
    }
    @include lg {
      height: 500px;
      padding: 30px 0px 150px 0px;
    }

    .backgroundCloudeImage {
      position: absolute;
      width: 192px;
      height: 79px;
      left: 9px;
      top: 107px;
      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
      @include xxl {
        top: 29px;
      }
    }
    .deviceBannerBlock {
      display: flex;
      padding: 0px 109px 0px 300px;
      justify-content: center;
      align-items: center;
    }

    .waoClubContainer {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 135px;

      @media (max-width: 1700px) {
        gap: 100px;
      }
      @include xl {
        gap: 70px;
      }
      @include xl {
        gap: 40px;
      }
      .waoClubBannerLeft {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        width: 103%;
        @include xl {
          width: 100%;
        }

        .waoClubBannerTitle {
          //   display: flex;
          //   justify-content: flex-end;
          position: relative;
          z-index: 9;
          h3 {
            color: getColorHex("black");
            font-size: 50px;
            @include inter700;
            line-height: 110px;
            @media (max-width: 1700px) {
              font-size: 48px;
              line-height: 100px;
            }
            @include xxl{
                font-size: 44px;
            }
            @include xl{
                font-size: 38px;
            }
            @include lg{
                font-size: 31px;
                line-height: 80px;
            }
          }
          h1 {
            color: getColorHex("orange");
            font-size: 90px;
            line-height: 110px;
            @include inter700;
            @media (max-width: 1700px) {
              font-size: 80px;
              line-height: 100px;
            }
            @include xxl{
                font-size: 75px;
            }
            @include xl{
                font-size: 60px;
            }
            @include xl{
                font-size: 50px;
                line-height: 80px;
            }
          }
        }
      }
      .waoClubBannerRightMain {
        width: 69%;
        @media (max-width: 1700px) {
          width: 66%;
        }
        @include xxl {
          width: 60%;
        }
        @include xl{
            width: 59%;
        }
        @include lg{
            width: 64%;
        }
        .waoClubBannerRight {
          position: relative;
          z-index: 9;
          width: 50%;
          margin-right: auto;
          @media (max-width: 1700px) {
            width: 56%;
          }
          @include xxl {
            width: 65%;
          }
        }
      }
    }
  }
}
// .waoClubDetailsMainSection{
//     background-image: url(https://stagecdn.waosim.com/landingpage/home/whyWaosim.png);
//     background-size: cover;
//     background-position: center;
//     padding: 150px 0 0px;
// }
